package it.enea.xlab.GECORegistration.service.identityManager;

import java.util.List;

import it.enea.scp.idp.sdk.model.UserDto;
import it.enea.xlab.GECORegistration.model.user.User;

public interface IIdpClientManager {

	
	public String getTokenFromUsernameAndPassword(String username, String password);
	
	public User login(String username, String password);
	
	public boolean logout(String token);
	
	public boolean isValid(String token);
	
	public List<UserDto> userList();
	
	public Boolean deleteUser(String email);
	
	public Boolean createUser(UserDto newUser);
	
	public UserDto getUser(String email);

	public UserDto getUserFromToken(String token);
	
	public Boolean updateUser(UserDto user);
	
}
