package it.enea.xlab.GECORegistration.dto;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;

import it.enea.xlab.GECORegistration.model.user.UserToken;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;


@Getter
@Setter
@NoArgsConstructor
@ToString
public class LocalUserDTO {

	
	private Long userid;
	private String subject;
	
	private String name;
	private String surname;
	private String organization;
	private UserToken token;
	
	private String email;
	private String password;
	
	
	private List<RoleDTO> userroles;
	
	private List<CommunityDTO> usercommunities;
	
	private List<DeviceDTO> userdevices;
}
